Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class JRXmlExporterParameter

    java.lang.Object
      net.sf.jasperreports.engine.JRExporterParameter
          net.sf.jasperreports.engine.export.JRXmlExporterParameter

    public class JRXmlExporterParameter

extends JRExporterParameter

Contains parameters useful for export in XML format. The generated XML has a custom structure whose DTD defintion can be found in the net.sf.jasperreports.engine.dtds package of the JasperReports library. Because of this custom format it's easy to import back the XML file to a `JasperPrint` object.

The report images can be either stored internally in the resulting XML document or as separate files on disk. The internally stored images are saved as BASE64 encoded byte arrays in CDATA sections.

Version:
  $Id: JRXmlExporterParameter.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static JRXmlExporterParameter` | `DTD_LOCATION` A utility parameter that allows users to specify an alternate location for the DTD file.
`static JRXmlExporterParameter` | `IS_EMBEDDING_IMAGES` A boolean value specifying whether images should be store internally or rather as files on disk.

Fields inherited from class net.sf.jasperreports.engine.JRExporterParameter
`CHARACTER_ENCODING, CLASS_LOADER, END_PAGE_INDEX, FILE_RESOLVER, FILTER, FONT_MAP, HYPERLINK_PRODUCER_FACTORY, IGNORE_PAGE_MARGINS, INPUT_FILE, INPUT_FILE_NAME, INPUT_STREAM, INPUT_URL, JASPER_PRINT, JASPER_PRINT_LIST, OFFSET_X, OFFSET_Y, OUTPUT_FILE, OUTPUT_FILE_NAME, OUTPUT_STREAM, OUTPUT_STRING_BUFFER, OUTPUT_WRITER, PAGE_INDEX, PARAMETERS_OVERRIDE_REPORT_HINTS, PROGRESS_MONITOR, PROPERTY_CHARACTER_ENCODING, PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS, PROPERTY_IGNORE_PAGE_MARGINS, START_PAGE_INDEX, URL_HANDLER_FACTORY`

Constructor Summary
`protected` | `JRXmlExporterParameter(java.lang.String name)`

Method Summary

Methods inherited from class net.sf.jasperreports.engine.JRExporterParameter
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IS_EMBEDDING_IMAGES

    public static final JRXmlExporterParameter IS_EMBEDDING_IMAGES

  A boolean value specifying whether images should be store internally or rather as files on disk.

### DTD_LOCATION

    public static final JRXmlExporterParameter DTD_LOCATION

  A utility parameter that allows users to specify an alternate location for the DTD file. This is useful for users who want to open the generated XML files in various editors that try to actually load the DTD for error checking.

Constructor Detail

### JRXmlExporterParameter

    protected JRXmlExporterParameter(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com